Loading...
Searching...
No Matches
lengths_state Struct Reference

State in get_lengths(), private besides commented. More...

`#include <irrecord.h>`

## Public Attributes

int | keypresses_done
| Number of printed keypresses.
int | keypresses
| Number of counted button presses.
int | retval
int | count
| Number of processed data items.
lirc_t | data
lirc_t | average
lirc_t | maxspace
lirc_t | sum
| Number of bits accounted for in signal.
lirc_t | remaining_gap
lirc_t | header
int | first_signal
enum analyse_mode | mode

## Detailed Description

State in get_lengths(), private besides commented.

Definition at line 199 of file irrecord.h.

## Member Data Documentation

## average

lirc_t lengths_state::average

Definition at line 208 of file irrecord.h.

## count

int lengths_state::count

Number of processed data items.

Definition at line 206 of file irrecord.h.

## data

lirc_t lengths_state::data

Definition at line 207 of file irrecord.h.

## first_signal

int lengths_state::first_signal

Definition at line 214 of file irrecord.h.

## header

lirc_t lengths_state::header

Definition at line 213 of file irrecord.h.

## keypresses

int lengths_state::keypresses

Number of counted button presses.

Definition at line 203 of file irrecord.h.

## keypresses_done

int lengths_state::keypresses_done

Number of printed keypresses.

Definition at line 201 of file irrecord.h.

## maxspace

lirc_t lengths_state::maxspace

Definition at line 209 of file irrecord.h.

## mode

enum analyse_mode lengths_state::mode

Definition at line 215 of file irrecord.h.

## remaining_gap

lirc_t lengths_state::remaining_gap

Definition at line 212 of file irrecord.h.

## retval

int lengths_state::retval

Definition at line 204 of file irrecord.h.

## sum

lirc_t lengths_state::sum

Number of bits accounted for in signal.

Definition at line 211 of file irrecord.h.

The documentation for this struct was generated from the following file:

- irrecord.h